Summary: WordPress blogging software
URL: http://www.wordpress.org
Name: wordpress
Version: 2.1.3
Group: Applications/Publishing
Release: 1%{?dist}
License: GPL
# Source0 with name-version does not work for web retrieval, 
# latest.tar.gz does not work for build
# Source0: http://wordpress.org/latest.tar.gz
Source0: http://wordpress.org/%{name}-%{version}.tar.gz
Source1: wordpress-httpd-conf
Source2: README.fedora.wordpress
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: php >= 4.1.0, httpd, php-mysql
BuildArch: noarch

%description
Wordpress is an online publishing / weblog package that makes it very easy,
almost trivial, to get information out to people on the web.

%prep
%setup -q -n wordpress

%install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/wordpress
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/wordpress
install -m 0644 -D -p %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/wordpress.conf
cp -pr * ${RPM_BUILD_ROOT}%{_datadir}/wordpress
cat wp-config-sample.php | sed -e "s|dirname(__FILE__).'/'|'/usr/share/wordpress/'|g" > \
    ${RPM_BUILD_ROOT}%{_sysconfdir}/wordpress/wp-config.php
/bin/ln -sf ../../../etc/wordpress/wp-config.php ${RPM_BUILD_ROOT}%{_datadir}/wordpress/wp-config.php
/bin/cp %{SOURCE2} ./README.fedora
# Remove empty files to make rpmlint happy
find ${RPM_BUILD_ROOT} -empty -exec rm -f {} \;
# These are docs, remove them from here, docify them later
rm -f ${RPM_BUILD_ROOT}%{_datadir}/wordpress/{license.txt,readme.html}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/wordpress.conf
%dir %{_datadir}/wordpress
%{_datadir}/wordpress/wp-admin
%{_datadir}/wordpress/wp-content
%{_datadir}/wordpress/wp-includes
%{_datadir}/wordpress/index.php
%doc license.txt
%doc readme.html
%doc README.fedora
%{_datadir}/wordpress/wp-atom.php
%{_datadir}/wordpress/wp-blog-header.php
%{_datadir}/wordpress/wp-comments-post.php
%{_datadir}/wordpress/wp-commentsrss2.php
%{_datadir}/wordpress/wp-config-sample.php
%{_datadir}/wordpress/wp-config.php
%config(noreplace) %{_sysconfdir}/wordpress/wp-config.php
%{_datadir}/wordpress/wp-cron.php
%{_datadir}/wordpress/wp-feed.php
%{_datadir}/wordpress/wp-links-opml.php
%{_datadir}/wordpress/wp-login.php
%{_datadir}/wordpress/wp-mail.php
%{_datadir}/wordpress/wp-pass.php
%{_datadir}/wordpress/wp-rdf.php
%{_datadir}/wordpress/wp-register.php
%{_datadir}/wordpress/wp-rss.php
%{_datadir}/wordpress/wp-rss2.php
%{_datadir}/wordpress/wp-settings.php
%{_datadir}/wordpress/wp-trackback.php
%{_datadir}/wordpress/xmlrpc.php
%dir %{_sysconfdir}/wordpress

%changelog
* Mon Apr 16 2007 John Berninger <jwb at redhat dot com> - 2.1.3
- update to 2.1.3-1 (2.1.3 final) for bz # 253912

* Mon Mar 26 2007 John Berninger <jwb at redhat dot com> - 2.1.3-rc2
- update to 2.1.3rc2 for bz 233703

* Sat Mar  3 2007 John Berninger <jwb at redhat dot com> - 2.1.2-0
- update to 2.1.2 - backdoor exploit introduced upstream in 2.1.1 - bz 230825

* Tue Feb 27 2007 John Berninger <jwb at redhat dot com> - 2.1.1-0
- update to 2.1.1 to fix vulns in BZ 229991

* Wed Jan 31 2007 John Berninger <jwb at redhat dot com> - 2.1-0
- update to v2.1 to fix multiple BZ vuln's

* Wed Dec 27 2006 John Berninger <jwb at redhat dot com> - 2.0.5-1
- fix bz 220818

* Sun Dec  3 2006 John Berninger <jwb at redhat dot com> - 2.0.4-3
- Remove mysql-server dependency

* Sun Dec  3 2006 John Berninger <jwb at redhat dot com> - 2.0.4-2
- Fix wp-db-backup.php vuln in BZ 213985

* Thu Oct 26 2006 John Berninger <jwb at redhat dot com> - 2.0.4-1
- Doc fix for BZ 207822

* Sat Aug 12 2006 John Berninger <jwb at redhat dot com> - 2.0.4-0
- Multiple upstream security vulns - bz 201989

* Sun Jul 23 2006 John Berninger <jwb at redhat dot com> - 2.0.3-4
- Fix broken upgrade path from FE4 by bumping release

* Tue Jul  4 2006 John Berninger <jwb at redhat dot com> - 2.0.3-3
- Add a README.fedora file
- Add php-mysql requires

* Tue Jun 20 2006 John Berninger <jwb at redhat dot com> - 2.0.3-2
- Remove use of installprefix macro
- %{_datadir}/wordpress/wp-config.php is not a config file
- Symlink is relative

* Mon Jun 19 2006 John Berninger <jwb at redhat dot com> - 2.0.3-1
- Changes from Jarod Wilson as below
- Update to 2.0.3
- Rearrange to use /usr/share/wordpress and /etc/wordpress
- Remove patch (included upstream)
- Remove empty files to make rpmlint happy

* Tue May 30 2006 John Berninger <jwb at redhat dot com> - 2.0.2-1
- Added patch for \n cache injection - upstream changeset #3797

* Sat May 27 2006 John Berninger <jwb at redhat dot com> - 2.0.2-0
- Initial build
